Bug 219942 - Pound: useless debuginfo package
Pound: useless debuginfo package
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Pound (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-17 09:07 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-18 16:44:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-17 09:07:15 EST
Pound's debuginfo package is useless:

$ rpm -qlp
http://fedoraproject.org/extras/development/i386/debug/Pound-debuginfo-2.2-1.fc7.i386.rpm
(contains no files)

At least one bug is that "install -s" is being used in the specfile.  More info:
http://fedoraproject.org/wiki/Packaging/Debuginfo
Comment 1 Ruben Kerkhof 2006-12-17 09:37:54 EST
Thanks for noticing this. It was indeed the "install -s".

I learned something new today. Is it an idea to add "Check the debuginfo packages" to PackageGuidelines? 
That may help other new packagers as well.
Comment 2 Ville Skyttä 2006-12-18 15:06:37 EST
Adding debuginfo considerations to the guidelines has been on the packaging
committee's TODO list, I've just taken ownership of the item.
http://fedoraproject.org/wiki/Packaging/GuidelinesTodo
Comment 3 Ruben Kerkhof 2006-12-18 16:44:10 EST
Very good, please let me know if you need my help.

I've rebuild the packages in FC-5, FC-6 and -devel

Note You need to log in before you can comment on or make changes to this bug.